# $Revision: 1.9 $, $Date: 2005/06/11 13:59:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Pod
%define		pnam	Parser
Summary:	Pod::Parser - base class for creating POD filters and translators
Summary(pl):	Pod::Parser - klasa bazowa do tworzenia klas filtrujcych i tumaczcych POD
Name:		perl-Pod-Parser
Version:	1.31
Release:	3
# I'm not sure how to interpret the README...
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	9239f922617f805bc9da2f71d717061c
Patch0:		%{name}-broken.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
  This parrot is dead. It has ceased to be.
  It's gone to meet it's Maker! THIS IS AN EX-PARROT!
    -- The Dead Parrot Sketch, Monty Python's Flying Circus

Do s/parrot/package/g and you know the status of this distribution.

Pod::Parser is a base class for creating POD filters and translators.
It handles most of the effort involved with parsing the POD sections
from an input stream, leaving subclasses free to be concerned only
with performing the actual translation of text.

Pod::Parser parses PODs, and makes method calls to handle the various
components of the POD. Subclasses of Pod::Parser override these
methods to translate the POD into whatever output format they desire.

%description -l pl
  This parrot is dead. It has ceased to be.
  It's gone to meet it's Maker! THIS IS AN EX-PARROT!
    -- The Dead Parrot Sketch, Monty Python's Flying Circus

Wykonaj s/parrot/pakiet/g, a poznasz status tego moduu.

Pod::Parser to klasa bazowa do tworzenia klas filtrujcych i
tumaczcych POD. Obsuguje wiksz cz zada zwizanych z analiz
sekcji POD ze strumienia wejciowego, pozostawiajc podklasom jedynie
przeprowadzanie samego tumaczenia tekstu.

Pod::Parser przetwarza pliki POD i wywouje metody obsugujce rne
komponenty POD. Podklasy Pod::Parser przykrywaj te metody w celu
tumaczenia POD na dany format wyjciowy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# resolve conflict with perl-tools
%{__mv} $RPM_BUILD_ROOT%{_bindir}/pod2usage{,.cpan}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/podchecker{,.cpan}
%{__mv} $RPM_BUILD_ROOT%{_bindir}/podselect{,.cpan}
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/pod2usage{,.cpan}.1p
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/podchecker{,.cpan}.1p
%{__mv} $RPM_BUILD_ROOT%{_mandir}/man1/podselect{,.cpan}.1p

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%{perl_vendorlib}/Pod/*.pm
%{_mandir}/man?/*
%{_bindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Pod-Parser.spec,v $
Revision 1.9  2005/06/11 13:59:22  radek
- release 3: resolve conflict with perl-tools (mv * *.cpan)

Revision 1.8  2005/06/11 07:30:45  radek
- this parrot is dead (updated description)

Revision 1.7  2005/06/11 07:14:03  radek
- release 2: added -broken.patch (-functionality.patch was applied
             in (not released) version 1.29, then broken in 1.30)

Revision 1.6  2005/06/11 06:51:39  radek
- version 1.31, removed -functionality.patch (applied)

Revision 1.5  2004/11/03 22:30:40  paladine
- formatting

Revision 1.4  2004/10/31 22:53:42  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/08/26 11:25:31  radek
- release 2: added -functionality.patch (required for pldcpan.pl)

Revision 1.2  2004/06/06 14:56:41  qboosh
- pl

Revision 1.1  2004/06/06 13:07:59  radek
- new
